.donation-header { margin-bottom: 1rem; }

.donation-heading
{
  display: inline;
  font-size: 20px;
}

/* Show/hide donation heading text based on currencies loaded */
.payment-currencies,
.donation-heading .single-currency,
.donation-heading .multi-currency { display: none; }

.has-single-currency .donation-heading .single-currency { display: block; }

.has-multi-currency .payment-currencies,
.has-multi-currency .donation-heading .multi-currency { display: inline; }

.payment-currencies
{
  padding: 0;
  line-height: 1;
}

@media (min-width: 576px)
{
  .payment-types { display: flex; }
}

.payment-type legend { margin: 1rem 0 0.5rem 0; }

.payment-type input[type=radio] { margin-top: 3px; }

[dir="ltr"] .payment-type input[type=radio] { margin-right: 0.1rem; }

[dir="rtl"] .payment-type input[type=radio] { margin-left: 0.1rem; }

.subscription-payment-type { display: none; }

.has-subscriptions .subscription-payment-type { display: block; }

/* Negating first and last padding below */
.payment-amounts { margin: 0 -0.5rem; }

.payment-amount,
.custom-payment-amount
{
  display: inline-block;
  margin: 0.25rem 0.5rem;
}

.custom-payment-amount { position: relative; }

.payment-divide
{
  display: none;
  border-color: rgba(232, 232, 232, 0.667);
  margin: 1rem 0;
}

@media (min-width: 576px)
{
  .payment-divide
  {
    height: 3rem;
    width: 2px;
    margin: 1.75rem 3rem 0 3rem;
    padding: 0;
  }
}

.has-subscriptions .payment-divide { display: block; }

.yearly,
.payment-divide.yearly {
  display: none;
}

.has-yearly .yearly,
.has-yearly .payment-divide.yearly {
  display: block;
}

.custom-payment-amount input[type="text"]
{
  padding: 0;
  line-height: 1;
}

.minimum-amount-warning { display: none; }

.minimum-donation-error .minimum-donation-warning,
.minimum-subscription-error .minimum-subscription-warning,
.minimum-yearly-error .minimum-yearly-warning {
  display: block;
}

.payment-providers-lead
{
  display: block;
  color: green;
  font-family: sans-serif;
  font-size: 24px;
  font-weight: 500;
}

@media (min-width: 576px)
{
  .payment-providers { display: flex; }

  [dir="ltr"] .payment-providers-lead { margin-right: 1rem; }

  [dir="rtl"] .payment-providers-lead { margin-left: 1rem; }
}

.payment-providers button
{
  display: block;
  width: 100%;
  min-height: 34px;
  margin-top: 1rem;
  line-height: 32px;
  text-align: center;
  border: 0;
  border-radius: 3.5px;
  box-shadow: 0 0.5px 1px 0 rgba(0,0,0,0.2);
  outline: none;
  user-select: none;
}

.payment-providers button[disabled] { background-color: #bcbcbc; }

@media (min-width: 576px)
{
  .payment-providers button
  {
    display: inline-block;
    min-width: 150px;
    width: auto;
    margin-top: 0;
  }

  [dir="ltr"] .payment-providers button { margin-right: 1rem; }

  [dir="rtl"] .payment-providers button { margin-left: 1rem; }
}

.stripe-button
{
  display: inline-block;
  color: #fff;
  background-color: #2888F9;
  overflow: hidden;
}

.stripe-button-lock
{
  height: 16px;
  padding-right: 0.2em;
}

[dir="rtl"] .stripe-button-lock
{
  padding-right: 0;
  padding-left: 0.2em;
}

.paypal-button
{
  color: #000;
  background-color: rgb(255, 187, 3);
}

.privacy-footer
{
  text-align: center;
  margin: 1em 0;
}

/* css-loaders
 * @link https://github.com/lukehaas/css-loaders
 * @copyright Copyright (c) 2014 Luke Haas
 * @license MIT
 */
.loader {
  font-size: 10px;
  margin: 0 auto;
  text-indent: -9999em;
  width: 2em;
  height: 2em;
  border-radius: 50%;
  background: #ffffff;
  background: -moz-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -webkit-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -o-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: -ms-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  background: linear-gradient(to right, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  position: relative;
  -webkit-animation: load3 1.4s infinite linear;
  animation: load3 1.4s infinite linear;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.loader::before {
  width: 50%;
  height: 50%;
  background: #ffffff;
  border-radius: 100% 0 0 0;
  position: absolute;
  top: 0;
  left: 0;
  content: '';
}

.loader::after {
  background: #2888F9;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  content: '';
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.payment-method-divide { margin: 1.5em 0; }

.payment-method { margin-top: 1rem; }

.payment-method svg,
.payment-method input {
  vertical-align: middle;
  height: 32px;
}

.payment-method input {
  margin-left: 0;
  margin-right: 0.4em;
}

.payment-method label {
  display: inline-block;
  margin-bottom: 1rem;
  user-select: none;
}

@media (min-width: 376px) {
  .payment-method label {
    margin-right: 50px;
  }
}

.payment-cards,
.payment-paypal {
  display: inline-block;
}

.credit-card {
  padding-right: 0.5em;
  vertical-align: middle;
}

.payment-cards svg { width: 20px; }

.payment-paypal svg { width: 80px; }

.card-button-hidden .stripe-button { display: none; }

.paypal-button-hidden .paypal-button { display: none; }

@-webkit-keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
